Skip to content

Get motor pricing for a risk category

POST
/pricing/motor

Returns available pricing options for the given product and risk category. startDate defaults to today. endDate is optional but required for Comprehensive/TPFT products.

Authorizations

BearerAuth
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"productId": "string",
  
"riskCategoryId": "string",
  
"startDate": "string",
  
"endDate": "string",
  
"sumInsured": 0
}

Responses

Success

application/json
JSON
{
  
"productId": "string",
  
"productName": "string",
  
"productType": "string",
  
"durationType": "string",
  
"pricingOptions": [
  
  
{
  
  
  
"duration": 0,
  
  
  
"label": "string",
  
  
  
"basicPremium": 0,
  
  
  
"levyPremium": 0,
  
  
  
"grossPremium": 0,
  
  
  
"currency": "string",
  
  
  
"startDate": "string",
  
  
  
"endDate": "string"
  
  
}
  
]
}

Playground

Authorization
Body

Samples

Built with ❤️ by Hobbiton Technologies